#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMarginRule = 1146,
  CSSMediaRule = 1160,
  CSSMozDocumentRule = 1173,
  CSSNamespaceRule = 1192,
  CSSPageDescriptors = 1209,
  CSSPageRule = 1228,
  CSSPropertyRule = 1240,
  CSSPseudoElement = 1256,
  CSSRule = 1273,
  CSSRuleList = 1281,
  CSSScopeRule = 1293,
  CSSStartingStyleRule = 1306,
  CSSStyleDeclaration = 1327,
  CSSStyleRule = 1347,
  CSSStyleSheet = 1360,
  CSSSupportsRule = 1374,
  CSSTransition = 1390,
  Cache = 1404,
  CacheStorage = 1410,
  CallbackDebuggerNotification = 1423,
  CanonicalBrowsingContext = 1452,
  CanvasCaptureMediaStream = 1477,
  CanvasGradient = 1502,
  CanvasPattern = 1517,
  CanvasRenderingContext2D = 1531,
  CaretPosition = 1556,
  CaretStateChangedEvent = 1570,
  ChannelMergerNode = 1593,
  ChannelSplitterNode = 1611,
  ChannelWrapper = 1631,
  CharacterData = 1646,
  CheckerboardReportService = 1660,
  ChildProcessMessageManager = 1686,
  ChildSHistory = 1713,
  ChromeMessageBroadcaster = 1727,
  ChromeMessageSender = 1752,
  ChromeNodeList = 1772,
  ChromeUtils = 1787,
  ChromeWorker = 1799,
  Client = 1812,
  Clients = 1819,
  Clipboard = 1827,
  ClipboardEvent = 1837,
  ClipboardItem = 1852,
  ClonedErrorHolder = 1866,
  CloseEvent = 1884,
  CommandEvent = 1895,
  Comment = 1908,
  CompositionEvent = 1916,
  CompressionStream = 1933,
  ConsoleInstance = 1951,
  ConstantSourceNode = 1967,
  ContentFrameMessageManager = 1986,
  ContentProcessMessageManager = 2013,
  ContentVisibilityAutoStateChangeEvent = 2042,
  ConvolverNode = 2080,
  CountQueuingStrategy = 2094,
  CreateOfferRequest = 2115,
  Credential = 2134,
  CredentialsContainer = 2145,
  Crypto = 2166,
  CryptoKey = 2173,
  CustomElementRegistry = 2183,
  CustomEvent = 2205,
  CustomStateSet = 2217,
  DOMException = 2232,
  DOMImplementation = 2245,
  DOMLocalization = 2263,
  DOMMatrix = 2279,
  DOMMatrixReadOnly = 2289,
  DOMParser = 2307,
  DOMPoint = 2317,
  DOMPointReadOnly = 2326,
  DOMQuad = 2343,
  DOMRect = 2351,
  DOMRectList = 2359,
  DOMRectReadOnly = 2371,
  DOMStringList = 2387,
  DOMStringMap = 2401,
  DOMTokenList = 2414,
  DataTransfer = 2427,
  DataTransferItem = 2440,
  DataTransferItemList = 2457,
  DebuggerNotification = 2478,
  DebuggerNotificationObserver = 2499,
  DecompressionStream = 2528,
  DedicatedWorkerGlobalScope = 2548,
  DelayNode = 2575,
  DeprecationReportBody = 2585,
  DeviceAcceleration = 2607,
  DeviceLightEvent = 2626,
  DeviceMotionEvent = 2643,
  DeviceOrientationEvent = 2661,
  DeviceRotationRate = 2684,
  Directory = 2703,
  Document = 2713,
  DocumentFragment = 2722,
  DocumentL10n = 2739,
  DocumentTimeline = 2752,
  DocumentType = 2769,
  DominatorTree = 2782,
  DragEvent = 2796,
  DynamicsCompressorNode = 2806,
  EXT_blend_minmax = 2829,
  EXT_color_buffer_float = 2846,
  EXT_color_buffer_half_float = 2869,
  EXT_disjoint_timer_query = 2897,
  EXT_float_blend = 2922,
  EXT_frag_depth = 2938,
  EXT_sRGB = 2953,
  EXT_shader_texture_lod = 2962,
  EXT_texture_compression_bptc = 2985,
  EXT_texture_compression_rgtc = 3014,
  EXT_texture_filter_anisotropic = 3043,
  EXT_texture_norm16 = 3074,
  Element = 3093,
  ElementInternals = 3101,
  EncodedAudioChunk = 3118,
  EncodedVideoChunk = 3136,
  ErrorEvent = 3154,
  Event = 3165,
  EventCallbackDebuggerNotification = 3171,
  EventCounts = 3205,
  EventSource = 3217,
  EventTarget = 3229,
  Exception = 3241,
  ExtendableEvent = 3251,
  ExtendableMessageEvent = 3267,
  ExtensionAlarms = 3290,
  ExtensionBrowser = 3306,
  ExtensionBrowserSettings = 3323,
  ExtensionBrowserSettingsColorManagement = 3348,
  ExtensionDns = 3388,
  ExtensionEventManager = 3401,
  ExtensionMockAPI = 3423,
  ExtensionPort = 3440,
  ExtensionProxy = 3454,
  ExtensionRuntime = 3469,
  ExtensionScripting = 3486,
  ExtensionSetting = 3505,
  ExtensionTest = 3522,
  External = 3536,
  FeaturePolicy = 3545,
  FeaturePolicyViolationReportBody = 3559,
  FetchEvent = 3592,
  FetchObserver = 3603,
  File = 3617,
  FileList = 3622,
  FileReader = 3631,
  FileReaderSync = 3642,
  FileSystem = 3657,
  FileSystemDirectoryEntry = 3668,
  FileSystemDirectoryHandle = 3693,
  FileSystemDirectoryHandle_AsyncIterator = 3719,
  FileSystemDirectoryIterator = 3759,
  FileSystemDirectoryReader = 3787,
  FileSystemEntry = 3813,
  FileSystemFileEntry = 3829,
  FileSystemFileHandle = 3849,
  FileSystemHandle = 3870,
  FileSystemSyncAccessHandle = 3887,
  FileSystemWritableFileStream = 3914,
  Flex = 3943,
  FlexItemValues = 3948,
  FlexLineValues = 3963,
  FluentBundle = 3978,
  FluentBundleAsyncIterator = 3991,
  FluentBundleIterator = 4017,
  FluentPattern = 4038,
  FluentResource = 4052,
  FocusEvent = 4067,
  FontFace = 4078,
  FontFaceSet = 4087,
  FontFaceSetIterator = 4099,
  FontFaceSetLoadEvent = 4119,
  FormData = 4140,
  FormData_Iterator = 4149,
  FormDataEvent = 4167,
  FragmentDirective = 4181,
  FrameCrashedEvent = 4199,
  FrameLoader = 4217,
  GPU = 4229,
  GPUAdapter = 4233,
  GPUAdapterInfo = 4244,
  GPUBindGroup = 4259,
  GPUBindGroupLayout = 4272,
  GPUBuffer = 4291,
  GPUBufferUsage = 4301,
  GPUCanvasContext = 4316,
  GPUColorWrite = 4333,
  GPUCommandBuffer = 4347,
  GPUCommandEncoder = 4364,
  GPUCompilationInfo = 4382,
  GPUCompilationMessage = 4401,
  GPUComputePassEncoder = 4423,
  GPUComputePipeline = 4445,
  GPUDevice = 4464,
  GPUDeviceLostInfo = 4474,
  GPUError = 4492,
  GPUInternalError = 4501,
  GPUMapMode = 4518,
  GPUOutOfMemoryError = 4529,
  GPUPipelineLayout = 4549,
  GPUQuerySet = 4567,
  GPUQueue = 4579,
  GPURenderBundle = 4588,
  GPURenderBundleEncoder = 4604,
  GPURenderPassEncoder = 4627,
  GPURenderPipeline = 4648,
  GPUSampler = 4666,
  GPUShaderModule = 4677,
  GPUShaderStage = 4693,
  GPUSupportedFeatures = 4708,
  GPUSupportedLimits = 4729,
  GPUTexture = 4748,
  GPUTextureUsage = 4759,
  GPUTextureView = 4775,
  GPUUncapturedErrorEvent = 4790,
  GPUValidationError = 4814,
  GainNode = 4833,
  Gamepad = 4842,
  GamepadAxisMoveEvent = 4850,
  GamepadButton = 4871,
  GamepadButtonEvent = 4885,
  GamepadEvent = 4904,
  GamepadHapticActuator = 4917,
  GamepadLightIndicator = 4939,
  GamepadPose = 4961,
  GamepadServiceTest = 4973,
  GamepadTouch = 4992,
  Geolocation = 5005,
  GeolocationCoordinates = 5017,
  GeolocationPosition = 5040,
  GeolocationPositionError = 5060,
  GetUserMediaRequest = 5085,
  GleanBoolean = 5105,
  GleanCategory = 5118,
  GleanCounter = 5132,
  GleanCustomDistribution = 5145,
  GleanDatetime = 5169,
  GleanDenominator = 5183,
  GleanEvent = 5200,
  GleanImpl = 5211,
  GleanLabeled = 5221,
  GleanMemoryDistribution = 5234,
  GleanMetric = 5258,
  GleanNumerator = 5270,
  GleanObject = 5285,
  GleanPingsImpl = 5297,
  GleanQuantity = 5312,
  GleanRate = 5326,
  GleanString = 5336,
  GleanStringList = 5348,
  GleanText = 5364,
  GleanTimespan = 5374,
  GleanTimingDistribution = 5388,
  GleanUrl = 5412,
  GleanUuid = 5421,
  Grid = 5431,
  GridArea = 5436,
  GridDimension = 5445,
  GridLine = 5459,
  GridLines = 5468,
  GridTrack = 5478,
  GridTracks = 5488,
  HTMLAllCollection = 5499,
  HTMLAnchorElement = 5517,
  HTMLAreaElement = 5535,
  HTMLAudioElement = 5551,
  HTMLBRElement = 5568,
  HTMLBaseElement = 5582,
  HTMLBodyElement = 5598,
  HTMLButtonElement = 5614,
  HTMLCanvasElement = 5632,
  HTMLCollection = 5650,
  HTMLDListElement = 5665,
  HTMLDataElement = 5682,
  HTMLDataListElement = 5698,
  HTMLDetailsElement = 5718,
  HTMLDialogElement = 5737,
  HTMLDirectoryElement = 5755,
  HTMLDivElement = 5776,
  HTMLDocument = 5791,
  HTMLElement = 5804,
  HTMLEmbedElement = 5816,
  HTMLFieldSetElement = 5833,
  HTMLFontElement = 5853,
  HTMLFormControlsCollection = 5869,
  HTMLFormElement = 5896,
  HTMLFrameElement = 5912,
  HTMLFrameSetElement = 5929,
  HTMLHRElement = 5949,
  HTMLHeadElement = 5963,
  HTMLHeadingElement = 5979,
  HTMLHtmlElement = 5998,
  HTMLIFrameElement = 6014,
  HTMLImageElement = 6032,
  HTMLInputElement = 6049,
  HTMLLIElement = 6066,
  HTMLLabelElement = 6080,
  HTMLLegendElement = 6097,
  HTMLLinkElement = 6115,
  HTMLMapElement = 6131,
  HTMLMarqueeElement = 6146,
  HTMLMediaElement = 6165,
  HTMLMenuElement = 6182,
  HTMLMetaElement = 6198,
  HTMLMeterElement = 6214,
  HTMLModElement = 6231,
  HTMLOListElement = 6246,
  HTMLObjectElement = 6263,
  HTMLOptGroupElement = 6281,
  HTMLOptionElement = 6301,
  HTMLOptionsCollection = 6319,
  HTMLOutputElement = 6341,
  HTMLParagraphElement = 6359,
  HTMLParamElement = 6380,
  HTMLPictureElement = 6397,
  HTMLPreElement = 6416,
  HTMLProgressElement = 6431,
  HTMLQuoteElement = 6451,
  HTMLScriptElement = 6468,
  HTMLSelectElement = 6486,
  HTMLSlotElement = 6504,
  HTMLSourceElement = 6520,
  HTMLSpanElement = 6538,
  HTMLStyleElement = 6554,
  HTMLTableCaptionElement = 6571,
  HTMLTableCellElement = 6595,
  HTMLTableColElement = 6616,
  HTMLTableElement = 6636,
  HTMLTableRowElement = 6653,
  HTMLTableSectionElement = 6673,
  HTMLTemplateElement = 6697,
  HTMLTextAreaElement = 6717,
  HTMLTimeElement = 6737,
  HTMLTitleElement = 6753,
  HTMLTrackElement = 6770,
  HTMLUListElement = 6787,
  HTMLUnknownElement = 6804,
  HTMLVideoElement = 6823,
  HashChangeEvent = 6840,
  Headers = 6856,
  Headers_Iterator = 6864,
  HeapSnapshot = 6881,
  Highlight = 6894,
  HighlightRegistry = 6904,
  History = 6922,
  IDBCursor = 6930,
  IDBCursorWithValue = 6940,
  IDBDatabase = 6959,
  IDBFactory = 6971,
  IDBIndex = 6982,
  IDBKeyRange = 6991,
  IDBObjectStore = 7003,
  IDBOpenDBRequest = 7018,
  IDBRequest = 7035,
  IDBTransaction = 7046,
  IDBVersionChangeEvent = 7061,
  IIRFilterNode = 7083,
  IOUtils = 7097,
  IdentityCredential = 7105,
  IdleDeadline = 7124,
  Image = 7137,
  ImageBitmap = 7143,
  ImageBitmapRenderingContext = 7155,
  ImageCapture = 7183,
  ImageCaptureError = 7196,
  ImageCaptureErrorEvent = 7214,
  ImageData = 7237,
  ImageDocument = 7247,
  InputEvent = 7261,
  InspectorCSSParser = 7272,
  InspectorFontFace = 7291,
  InspectorUtils = 7309,
  InstallTriggerImpl = 7324,
  IntersectionObserver = 7343,
  IntersectionObserverEntry = 7364,
  IntlUtils = 7390,
  InvokeEvent = 7400,
  JSProcessActorChild = 7412,
  JSProcessActorParent = 7432,
  JSWindowActorChild = 7453,
  JSWindowActorParent = 7472,
  KeyEvent = 7492,
  KeyboardEvent = 7501,
  KeyframeEffect = 7515,
  L10nFileSource = 7530,
  L10nOverlays = 7545,
  L10nRegistry = 7558,
  LargestContentfulPaint = 7571,
  LegacyMozTCPSocket = 7594,
  Localization = 7613,
  Location = 7626,
  Lock = 7635,
  LockManager = 7640,
  MIDIAccess = 7652,
  MIDIConnectionEvent = 7663,
  MIDIInput = 7683,
  MIDIInputMap = 7693,
  MIDIMessageEvent = 7706,
  MIDIOutput = 7723,
  MIDIOutputMap = 7734,
  MIDIPort = 7748,
  MOZ_debug = 7757,
  MatchGlob = 7767,
  MatchPattern = 7777,
  MatchPatternSet = 7790,
  MathMLElement = 7806,
  MediaCapabilities = 7820,
  MediaControlService = 7838,
  MediaController = 7858,
  MediaDeviceInfo = 7874,
  MediaDevices = 7890,
  MediaElementAudioSourceNode = 7903,
  MediaEncryptedEvent = 7931,
  MediaError = 7951,
  MediaKeyError = 7962,
  MediaKeyMessageEvent = 7976,
  MediaKeySession = 7997,
  MediaKeyStatusMap = 8013,
  MediaKeyStatusMap_Iterator = 8031,
  MediaKeySystemAccess = 8058,
  MediaKeys = 8079,
  MediaList = 8089,
  MediaMetadata = 8099,
  MediaQueryList = 8113,
  MediaQueryListEvent = 8128,
  MediaRecorder = 8148,
  MediaRecorderErrorEvent = 8162,
  MediaSession = 8186,
  MediaSource = 8199,
  MediaStream = 8211,
  MediaStreamAudioDestinationNode = 8223,
  MediaStreamAudioSourceNode = 8255,
  MediaStreamError = 8282,
  MediaStreamEvent = 8299,
  MediaStreamTrack = 8316,
  MediaStreamTrackAudioSourceNode = 8333,
  MediaStreamTrackEvent = 8365,
  MerchantValidationEvent = 8387,
  MessageBroadcaster = 8411,
  MessageChannel = 8430,
  MessageEvent = 8445,
  MessageListenerManager = 8458,
  MessagePort = 8481,
  MessageSender = 8493,
  MimeType = 8507,
  MimeTypeArray = 8516,
  MouseEvent = 8530,
  MouseScrollEvent = 8541,
  MozCanvasPrintState = 8558,
  MozDocumentMatcher = 8578,
  MozDocumentObserver = 8597,
  MozQueryInterface = 8617,
  MozSharedMap = 8635,
  MozSharedMap_Iterator = 8648,
  MozSharedMapChangeEvent = 8670,
  MozStorageAsyncStatementParams = 8694,
  MozStorageStatementParams = 8725,
  MozStorageStatementRow = 8751,
  MozWritableSharedMap = 8774,
  MutationEvent = 8795,
  MutationObserver = 8809,
  MutationRecord = 8826,
  NamedNodeMap = 8841,
  NavigationPreloadManager = 8854,
  Navigator = 8879,
  NetworkInformation = 8889,
  Node = 8908,
  NodeFilter = 8913,
  NodeIterator = 8924,
  NodeList = 8937,
  Notification = 8946,
  NotificationEvent = 8959,
  NotifyPaintEvent = 8977,
  OES_draw_buffers_indexed = 8994,
  OES_element_index_uint = 9019,
  OES_fbo_render_mipmap = 9042,
  OES_standard_derivatives = 9064,
  OES_texture_float = 9089,
  OES_texture_float_linear = 9107,
  OES_texture_half_float = 9132,
  OES_texture_half_float_linear = 9155,
  OES_vertex_array_object = 9185,
  OVR_multiview2 = 9209,
  OfflineAudioCompletionEvent = 9224,
  OfflineAudioContext = 9252,
  OffscreenCanvas = 9272,
  OffscreenCanvasRenderingContext2D = 9288,
  Option = 9322,
  OscillatorNode = 9329,
  PageTransitionEvent = 9344,
  PaintRequest = 9364,
  PaintRequestList = 9377,
  PaintWorkletGlobalScope = 9394,
  PannerNode = 9418,
  ParentProcessMessageManager = 9429,
  Path2D = 9457,
  PathUtils = 9464,
  PaymentAddress = 9474,
  PaymentMethodChangeEvent = 9489,
  PaymentRequest = 9514,
  PaymentRequestUpdateEvent = 9529,
  PaymentResponse = 9555,
  PeerConnectionImpl = 9571,
  PeerConnectionObserver = 9590,
  Performance = 9613,
  PerformanceEntry = 9625,
  PerformanceEntryEvent = 9642,
  PerformanceEventTiming = 9664,
  PerformanceMark = 9687,
  PerformanceMeasure = 9703,
  PerformanceNavigation = 9722,
  PerformanceNavigationTiming = 9744,
  PerformanceObserver = 9772,
  PerformanceObserverEntryList = 9792,
  PerformancePaintTiming = 9821,
  PerformanceResourceTiming = 9844,
  PerformanceServerTiming = 9870,
  PerformanceTiming = 9894,
  PeriodicWave = 9912,
  PermissionStatus = 9925,
  Permissions = 9942,
  PlacesBookmark = 9954,
  PlacesBookmarkAddition = 9969,
  PlacesBookmarkChanged = 9992,
  PlacesBookmarkGuid = 10014,
  PlacesBookmarkKeyword = 10033,
  PlacesBookmarkMoved = 10055,
  PlacesBookmarkRemoved = 10075,
  PlacesBookmarkTags = 10097,
  PlacesBookmarkTime = 10116,
  PlacesBookmarkTitle = 10135,
  PlacesBookmarkUrl = 10155,
  PlacesEvent = 10173,
  PlacesEventCounts = 10185,
  PlacesFavicon = 10203,
  PlacesHistoryCleared = 10217,
  PlacesObservers = 10238,
  PlacesPurgeCaches = 10254,
  PlacesRanking = 10272,
  PlacesVisit = 10286,
  PlacesVisitRemoved = 10298,
  PlacesVisitTitle = 10317,
  PlacesWeakCallbackWrapper = 10334,
  Plugin = 10360,
  PluginArray = 10367,
  PluginCrashedEvent = 10379,
  PointerEvent = 10398,
  PopStateEvent = 10411,
  PopupBlockedEvent = 10425,
  PopupPositionedEvent = 10443,
  PositionStateEvent = 10464,
  PrecompiledScript = 10483,
  PrivateAttribution = 10501,
  ProcessMessageManager = 10520,
  ProcessingInstruction = 10542,
  ProgressEvent = 10564,
  PromiseDebugging = 10578,
  PromiseNativeHandler = 10595,
  PromiseRejectionEvent = 10616,
  PublicKeyCredential = 10638,
  PushEvent = 10658,
  PushManager = 10668,
  PushManagerImpl = 10680,
  PushMessageData = 10696,
  PushSubscription = 10712,
  PushSubscriptionOptions = 10729,
  RTCCertificate = 10753,
  RTCDTMFSender = 10768,
  RTCDTMFToneChangeEvent = 10782,
  RTCDataChannel = 10805,
  RTCDataChannelEvent = 10820,
  RTCDtlsTransport = 10840,
  RTCEncodedAudioFrame = 10857,
  RTCEncodedVideoFrame = 10878,
  RTCIceCandidate = 10899,
  RTCIceTransport = 10915,
  RTCIdentityProviderRegistrar = 10931,
  RTCPeerConnection = 10960,
  RTCPeerConnectionIceEvent = 10978,
  RTCPeerConnectionStatic = 11004,
  RTCRtpReceiver = 11028,
  RTCRtpScriptTransform = 11043,
  RTCRtpScriptTransformer = 11065,
  RTCRtpSender = 11089,
  RTCRtpTransceiver = 11102,
  RTCSctpTransport = 11120,
  RTCSessionDescription = 11137,
  RTCStatsReport = 11159,
  RTCTrackEvent = 11174,
  RTCTransformEvent = 11188,
  RadioNodeList = 11206,
  Range = 11220,
  ReadableByteStreamController = 11226,
  ReadableStream = 11255,
  ReadableStream_AsyncIterator = 11270,
  ReadableStreamBYOBReader = 11299,
  ReadableStreamBYOBRequest = 11324,
  ReadableStreamDefaultController = 11350,
  ReadableStreamDefaultReader = 11382,
  Report = 11410,
  ReportBody = 11417,
  ReportingObserver = 11428,
  Request = 11446,
  ResizeObserver = 11454,
  ResizeObserverEntry = 11469,
  ResizeObserverSize = 11489,
  Response = 11508,
  SVGAElement = 11517,
  SVGAngle = 11529,
  SVGAnimateElement = 11538,
  SVGAnimateMotionElement = 11556,
  SVGAnimateTransformElement = 11580,
  SVGAnimatedAngle = 11607,
  SVGAnimatedBoolean = 11624,
  SVGAnimatedEnumeration = 11643,
  SVGAnimatedInteger = 11666,
  SVGAnimatedLength = 11685,
  SVGAnimatedLengthList = 11703,
  SVGAnimatedNumber = 11725,
  SVGAnimatedNumberList = 11743,
  SVGAnimatedPreserveAspectRatio = 11765,
  SVGAnimatedRect = 11796,
  SVGAnimatedString = 11812,
  SVGAnimatedTransformList = 11830,
  SVGAnimationElement = 11855,
  SVGCircleElement = 11875,
  SVGClipPathElement = 11892,
  SVGComponentTransferFunctionElement = 11911,
  SVGDefsElement = 11947,
  SVGDescElement = 11962,
  SVGElement = 11977,
  SVGEllipseElement = 11988,
  SVGFEBlendElement = 12006,
  SVGFEColorMatrixElement = 12024,
  SVGFEComponentTransferElement = 12048,
  SVGFECompositeElement = 12078,
  SVGFEConvolveMatrixElement = 12100,
  SVGFEDiffuseLightingElement = 12127,
  SVGFEDisplacementMapElement = 12155,
  SVGFEDistantLightElement = 12183,
  SVGFEDropShadowElement = 12208,
  SVGFEFloodElement = 12231,
  SVGFEFuncAElement = 12249,
  SVGFEFuncBElement = 12267,
  SVGFEFuncGElement = 12285,
  SVGFEFuncRElement = 12303,
  SVGFEGaussianBlurElement = 12321,
  SVGFEImageElement = 12346,
  SVGFEMergeElement = 12364,
  SVGFEMergeNodeElement = 12382,
  SVGFEMorphologyElement = 12404,
  SVGFEOffsetElement = 12427,
  SVGFEPointLightElement = 12446,
  SVGFESpecularLightingElement = 12469,
  SVGFESpotLightElement = 12498,
  SVGFETileElement = 12520,
  SVGFETurbulenceElement = 12537,
  SVGFilterElement = 12560,
  SVGForeignObjectElement = 12577,
  SVGGElement = 12601,
  SVGGeometryElement = 12613,
  SVGGradientElement = 12632,
  SVGGraphicsElement = 12651,
  SVGImageElement = 12670,
  SVGLength = 12686,
  SVGLengthList = 12696,
  SVGLineElement = 12710,
  SVGLinearGradientElement = 12725,
  SVGMPathElement = 12750,
  SVGMarkerElement = 12766,
  SVGMaskElement = 12783,
  SVGMatrix = 12798,
  SVGMetadataElement = 12808,
  SVGNumber = 12827,
  SVGNumberList = 12837,
  SVGPathElement = 12851,
  SVGPatternElement = 12866,
  SVGPoint = 12884,
  SVGPointList = 12893,
  SVGPolygonElement = 12906,
  SVGPolylineElement = 12924,
  SVGPreserveAspectRatio = 12943,
  SVGRadialGradientElement = 12966,
  SVGRect = 12991,
  SVGRectElement = 12999,
  SVGSVGElement = 13014,
  SVGScriptElement = 13028,
  SVGSetElement = 13045,
  SVGStopElement = 13059,
  SVGStringList = 13074,
  SVGStyleElement = 13088,
  SVGSwitchElement = 13104,
  SVGSymbolElement = 13121,
  SVGTSpanElement = 13138,
  SVGTextContentElement = 13154,
  SVGTextElement = 13176,
  SVGTextPathElement = 13191,
  SVGTextPositioningElement = 13210,
  SVGTitleElement = 13236,
  SVGTransform = 13252,
  SVGTransformList = 13265,
  SVGUnitTypes = 13282,
  SVGUseElement = 13295,
  SVGViewElement = 13309,
  Sanitizer = 13324,
  Scheduler = 13334,
  Screen = 13344,
  ScreenLuminance = 13351,
  ScreenOrientation = 13367,
  ScriptProcessorNode = 13385,
  ScrollAreaEvent = 13405,
  ScrollViewChangeEvent = 13421,
  SecurityPolicyViolationEvent = 13443,
  Selection = 13472,
  ServiceWorker = 13482,
  ServiceWorkerContainer = 13496,
  ServiceWorkerGlobalScope = 13519,
  ServiceWorkerRegistration = 13544,
  SessionStoreFormData = 13570,
  SessionStoreScrollData = 13591,
  SessionStoreUtils = 13614,
  ShadowRealmGlobalScope = 13632,
  ShadowRoot = 13655,
  SharedWorker = 13666,
  SharedWorkerGlobalScope = 13679,
  SimpleGestureEvent = 13703,
  SourceBuffer = 13722,
  SourceBufferList = 13735,
  SpeechGrammar = 13752,
  SpeechGrammarList = 13766,
  SpeechRecognition = 13784,
  SpeechRecognitionAlternative = 13802,
  SpeechRecognitionError = 13831,
  SpeechRecognitionEvent = 13854,
  SpeechRecognitionResult = 13877,
  SpeechRecognitionResultList = 13901,
  SpeechSynthesis = 13929,
  SpeechSynthesisErrorEvent = 13945,
  SpeechSynthesisEvent = 13971,
  SpeechSynthesisUtterance = 13992,
  SpeechSynthesisVoice = 14017,
  StaticRange = 14038,
  StereoPannerNode = 14050,
  Storage = 14067,
  StorageEvent = 14075,
  StorageManager = 14088,
  StreamFilter = 14103,
  StreamFilterDataEvent = 14116,
  StructuredCloneHolder = 14138,
  StructuredCloneTester = 14160,
  StyleSheet = 14182,
  StyleSheetApplicableStateChangeEvent = 14193,
  StyleSheetList = 14230,
  StyleSheetRemovedEvent = 14245,
  SubmitEvent = 14268,
  SubtleCrypto = 14280,
  SyncMessageSender = 14293,
  SyncReadFile = 14311,
  TCPServerSocket = 14324,
  TCPServerSocketEvent = 14340,
  TCPSocket = 14361,
  TCPSocketErrorEvent = 14371,
  TCPSocketEvent = 14391,
  TaskController = 14406,
  TaskPriorityChangeEvent = 14421,
  TaskSignal = 14445,
  TelemetryStopwatch = 14456,
  TestUtils = 14475,
  TestingDeprecatedInterface = 14485,
  Text = 14512,
  TextClause = 14517,
  TextDecoder = 14528,
  TextDecoderStream = 14540,
  TextEncoder = 14558,
  TextEncoderStream = 14570,
  TextEvent = 14588,
  TextMetrics = 14598,
  TextTrack = 14610,
  TextTrackCue = 14620,
  TextTrackCueList = 14633,
  TextTrackList = 14650,
  TimeEvent = 14664,
  TimeRanges = 14674,
  ToggleEvent = 14685,
  Touch = 14697,
  TouchEvent = 14703,
  TouchList = 14714,
  TrackEvent = 14724,
  TransformStream = 14735,
  TransformStreamDefaultController = 14751,
  TransitionEvent = 14784,
  TreeColumn = 14800,
  TreeColumns = 14811,
  TreeContentView = 14823,
  TreeWalker = 14839,
  TrustedHTML = 14850,
  TrustedScript = 14862,
  TrustedScriptURL = 14876,
  TrustedTypePolicy = 14893,
  TrustedTypePolicyFactory = 14911,
  UDPMessageEvent = 14936,
  UDPSocket = 14952,
  UIEvent = 14962,
  URL = 14970,
  URLSearchParams = 14974,
  URLSearchParams_Iterator = 14990,
  UniFFIPointer = 15015,
  UniFFIScaffolding = 15029,
  UserActivation = 15047,
  UserInteraction = 15062,
  UserProximityEvent = 15078,
  VRDisplay = 15097,
  VRDisplayCapabilities = 15107,
  VRDisplayEvent = 15129,
  VREyeParameters = 15144,
  VRFieldOfView = 15160,
  VRFrameData = 15174,
  VRMockController = 15186,
  VRMockDisplay = 15203,
  VRPose = 15217,
  VRServiceTest = 15224,
  VRStageParameters = 15238,
  VTTCue = 15256,
  VTTRegion = 15263,
  ValidityState = 15273,
  VideoColorSpace = 15287,
  VideoDecoder = 15303,
  VideoEncoder = 15316,
  VideoFrame = 15329,
  VideoPlaybackQuality = 15340,
  VideoTrack = 15361,
  VideoTrackList = 15372,
  VisualViewport = 15387,
  WEBGL_color_buffer_float = 15402,
  WEBGL_compressed_texture_astc = 15427,
  WEBGL_compressed_texture_etc = 15457,
  WEBGL_compressed_texture_etc1 = 15486,
  WEBGL_compressed_texture_pvrtc = 15516,
  WEBGL_compressed_texture_s3tc = 15547,
  WEBGL_compressed_texture_s3tc_srgb = 15577,
  WEBGL_debug_renderer_info = 15612,
  WEBGL_debug_shaders = 15638,
  WEBGL_depth_texture = 15658,
  WEBGL_draw_buffers = 15678,
  WEBGL_explicit_present = 15697,
  WEBGL_lose_context = 15720,
  WEBGL_provoking_vertex = 15739,
  WakeLock = 15762,
  WakeLockSentinel = 15771,
  WaveShaperNode = 15788,
  WebExtensionContentScript = 15803,
  WebExtensionPolicy = 15829,
  WebGL2RenderingContext = 15848,
  WebGLActiveInfo = 15871,
  WebGLBuffer = 15887,
  WebGLContextEvent = 15899,
  WebGLFramebuffer = 15917,
  WebGLProgram = 15934,
  WebGLQuery = 15947,
  WebGLRenderbuffer = 15958,
  WebGLRenderingContext = 15976,
  WebGLSampler = 15998,
  WebGLShader = 16011,
  WebGLShaderPrecisionFormat = 16023,
  WebGLSync = 16050,
  WebGLTexture = 16060,
  WebGLTransformFeedback = 16073,
  WebGLUniformLocation = 16096,
  WebGLVertexArrayObject = 16117,
  WebKitCSSMatrix = 16140,
  WebSocket = 16156,
  WebTransport = 16166,
  WebTransportBidirectionalStream = 16179,
  WebTransportDatagramDuplexStream = 16211,
  WebTransportError = 16244,
  WebTransportReceiveStream = 16262,
  WebTransportSendStream = 16288,
  WebrtcGlobalInformation = 16311,
  WheelEvent = 16335,
  Window = 16346,
  WindowClient = 16353,
  WindowContext = 16366,
  WindowGlobalChild = 16380,
  WindowGlobalParent = 16398,
  WindowRoot = 16417,
  Worker = 16428,
  WorkerDebuggerGlobalScope = 16435,
  WorkerGlobalScope = 16461,
  WorkerLocation = 16479,
  WorkerNavigator = 16494,
  WorkerTestUtils = 16510,
  Worklet = 16526,
  WorkletGlobalScope = 16534,
  WritableStream = 16553,
  WritableStreamDefaultController = 16568,
  WritableStreamDefaultWriter = 16600,
  XMLDocument = 16628,
  XMLHttpRequest = 16640,
  XMLHttpRequestEventTarget = 16655,
  XMLHttpRequestUpload = 16681,
  XMLSerializer = 16702,
  XPathEvaluator = 16716,
  XPathExpression = 16731,
  XPathResult = 16747,
  XRBoundedReferenceSpace = 16759,
  XRFrame = 16783,
  XRInputSource = 16791,
  XRInputSourceArray = 16805,
  XRInputSourceEvent = 16824,
  XRInputSourcesChangeEvent = 16843,
  XRPose = 16869,
  XRReferenceSpace = 16876,
  XRReferenceSpaceEvent = 16893,
  XRRenderState = 16915,
  XRRigidTransform = 16929,
  XRSession = 16946,
  XRSessionEvent = 16956,
  XRSpace = 16971,
  XRSystem = 16979,
  XRView = 16988,
  XRViewerPose = 16995,
  XRViewport = 17008,
  XRWebGLLayer = 17019,
  XSLTProcessor = 17032,
  XULCommandEvent = 17046,
  XULElement = 17062,
  XULFrameElement = 17073,
  XULMenuElement = 17089,
  XULPopupElement = 17104,
  XULResizerElement = 17120,
  XULTextElement = 17138,
  XULTreeElement = 17153,
  console = 17168,
  webkitSpeechGrammar = 17176,
  webkitSpeechGrammarList = 17196,
  webkitSpeechRecognition = 17220,
  webkitURL = 17244,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
