#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMarginRule" "\0"
  /*  1160 */ "CSSMediaRule" "\0"
  /*  1173 */ "CSSMozDocumentRule" "\0"
  /*  1192 */ "CSSNamespaceRule" "\0"
  /*  1209 */ "CSSPageDescriptors" "\0"
  /*  1228 */ "CSSPageRule" "\0"
  /*  1240 */ "CSSPropertyRule" "\0"
  /*  1256 */ "CSSPseudoElement" "\0"
  /*  1273 */ "CSSRule" "\0"
  /*  1281 */ "CSSRuleList" "\0"
  /*  1293 */ "CSSScopeRule" "\0"
  /*  1306 */ "CSSStartingStyleRule" "\0"
  /*  1327 */ "CSSStyleDeclaration" "\0"
  /*  1347 */ "CSSStyleRule" "\0"
  /*  1360 */ "CSSStyleSheet" "\0"
  /*  1374 */ "CSSSupportsRule" "\0"
  /*  1390 */ "CSSTransition" "\0"
  /*  1404 */ "Cache" "\0"
  /*  1410 */ "CacheStorage" "\0"
  /*  1423 */ "CallbackDebuggerNotification" "\0"
  /*  1452 */ "CanonicalBrowsingContext" "\0"
  /*  1477 */ "CanvasCaptureMediaStream" "\0"
  /*  1502 */ "CanvasGradient" "\0"
  /*  1517 */ "CanvasPattern" "\0"
  /*  1531 */ "CanvasRenderingContext2D" "\0"
  /*  1556 */ "CaretPosition" "\0"
  /*  1570 */ "CaretStateChangedEvent" "\0"
  /*  1593 */ "ChannelMergerNode" "\0"
  /*  1611 */ "ChannelSplitterNode" "\0"
  /*  1631 */ "ChannelWrapper" "\0"
  /*  1646 */ "CharacterData" "\0"
  /*  1660 */ "CheckerboardReportService" "\0"
  /*  1686 */ "ChildProcessMessageManager" "\0"
  /*  1713 */ "ChildSHistory" "\0"
  /*  1727 */ "ChromeMessageBroadcaster" "\0"
  /*  1752 */ "ChromeMessageSender" "\0"
  /*  1772 */ "ChromeNodeList" "\0"
  /*  1787 */ "ChromeUtils" "\0"
  /*  1799 */ "ChromeWorker" "\0"
  /*  1812 */ "Client" "\0"
  /*  1819 */ "Clients" "\0"
  /*  1827 */ "Clipboard" "\0"
  /*  1837 */ "ClipboardEvent" "\0"
  /*  1852 */ "ClipboardItem" "\0"
  /*  1866 */ "ClonedErrorHolder" "\0"
  /*  1884 */ "CloseEvent" "\0"
  /*  1895 */ "CommandEvent" "\0"
  /*  1908 */ "Comment" "\0"
  /*  1916 */ "CompositionEvent" "\0"
  /*  1933 */ "CompressionStream" "\0"
  /*  1951 */ "ConsoleInstance" "\0"
  /*  1967 */ "ConstantSourceNode" "\0"
  /*  1986 */ "ContentFrameMessageManager" "\0"
  /*  2013 */ "ContentProcessMessageManager" "\0"
  /*  2042 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2080 */ "ConvolverNode" "\0"
  /*  2094 */ "CountQueuingStrategy" "\0"
  /*  2115 */ "CreateOfferRequest" "\0"
  /*  2134 */ "Credential" "\0"
  /*  2145 */ "CredentialsContainer" "\0"
  /*  2166 */ "Crypto" "\0"
  /*  2173 */ "CryptoKey" "\0"
  /*  2183 */ "CustomElementRegistry" "\0"
  /*  2205 */ "CustomEvent" "\0"
  /*  2217 */ "CustomStateSet" "\0"
  /*  2232 */ "DOMException" "\0"
  /*  2245 */ "DOMImplementation" "\0"
  /*  2263 */ "DOMLocalization" "\0"
  /*  2279 */ "DOMMatrix" "\0"
  /*  2289 */ "DOMMatrixReadOnly" "\0"
  /*  2307 */ "DOMParser" "\0"
  /*  2317 */ "DOMPoint" "\0"
  /*  2326 */ "DOMPointReadOnly" "\0"
  /*  2343 */ "DOMQuad" "\0"
  /*  2351 */ "DOMRect" "\0"
  /*  2359 */ "DOMRectList" "\0"
  /*  2371 */ "DOMRectReadOnly" "\0"
  /*  2387 */ "DOMStringList" "\0"
  /*  2401 */ "DOMStringMap" "\0"
  /*  2414 */ "DOMTokenList" "\0"
  /*  2427 */ "DataTransfer" "\0"
  /*  2440 */ "DataTransferItem" "\0"
  /*  2457 */ "DataTransferItemList" "\0"
  /*  2478 */ "DebuggerNotification" "\0"
  /*  2499 */ "DebuggerNotificationObserver" "\0"
  /*  2528 */ "DecompressionStream" "\0"
  /*  2548 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2575 */ "DelayNode" "\0"
  /*  2585 */ "DeprecationReportBody" "\0"
  /*  2607 */ "DeviceAcceleration" "\0"
  /*  2626 */ "DeviceLightEvent" "\0"
  /*  2643 */ "DeviceMotionEvent" "\0"
  /*  2661 */ "DeviceOrientationEvent" "\0"
  /*  2684 */ "DeviceRotationRate" "\0"
  /*  2703 */ "Directory" "\0"
  /*  2713 */ "Document" "\0"
  /*  2722 */ "DocumentFragment" "\0"
  /*  2739 */ "DocumentL10n" "\0"
  /*  2752 */ "DocumentTimeline" "\0"
  /*  2769 */ "DocumentType" "\0"
  /*  2782 */ "DominatorTree" "\0"
  /*  2796 */ "DragEvent" "\0"
  /*  2806 */ "DynamicsCompressorNode" "\0"
  /*  2829 */ "EXT_blend_minmax" "\0"
  /*  2846 */ "EXT_color_buffer_float" "\0"
  /*  2869 */ "EXT_color_buffer_half_float" "\0"
  /*  2897 */ "EXT_disjoint_timer_query" "\0"
  /*  2922 */ "EXT_float_blend" "\0"
  /*  2938 */ "EXT_frag_depth" "\0"
  /*  2953 */ "EXT_sRGB" "\0"
  /*  2962 */ "EXT_shader_texture_lod" "\0"
  /*  2985 */ "EXT_texture_compression_bptc" "\0"
  /*  3014 */ "EXT_texture_compression_rgtc" "\0"
  /*  3043 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3074 */ "EXT_texture_norm16" "\0"
  /*  3093 */ "Element" "\0"
  /*  3101 */ "ElementInternals" "\0"
  /*  3118 */ "EncodedAudioChunk" "\0"
  /*  3136 */ "EncodedVideoChunk" "\0"
  /*  3154 */ "ErrorEvent" "\0"
  /*  3165 */ "Event" "\0"
  /*  3171 */ "EventCallbackDebuggerNotification" "\0"
  /*  3205 */ "EventCounts" "\0"
  /*  3217 */ "EventSource" "\0"
  /*  3229 */ "EventTarget" "\0"
  /*  3241 */ "Exception" "\0"
  /*  3251 */ "ExtendableEvent" "\0"
  /*  3267 */ "ExtendableMessageEvent" "\0"
  /*  3290 */ "ExtensionAlarms" "\0"
  /*  3306 */ "ExtensionBrowser" "\0"
  /*  3323 */ "ExtensionBrowserSettings" "\0"
  /*  3348 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3388 */ "ExtensionDns" "\0"
  /*  3401 */ "ExtensionEventManager" "\0"
  /*  3423 */ "ExtensionMockAPI" "\0"
  /*  3440 */ "ExtensionPort" "\0"
  /*  3454 */ "ExtensionProxy" "\0"
  /*  3469 */ "ExtensionRuntime" "\0"
  /*  3486 */ "ExtensionScripting" "\0"
  /*  3505 */ "ExtensionSetting" "\0"
  /*  3522 */ "ExtensionTest" "\0"
  /*  3536 */ "External" "\0"
  /*  3545 */ "FeaturePolicy" "\0"
  /*  3559 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3592 */ "FetchEvent" "\0"
  /*  3603 */ "FetchObserver" "\0"
  /*  3617 */ "File" "\0"
  /*  3622 */ "FileList" "\0"
  /*  3631 */ "FileReader" "\0"
  /*  3642 */ "FileReaderSync" "\0"
  /*  3657 */ "FileSystem" "\0"
  /*  3668 */ "FileSystemDirectoryEntry" "\0"
  /*  3693 */ "FileSystemDirectoryHandle" "\0"
  /*  3719 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3759 */ "FileSystemDirectoryIterator" "\0"
  /*  3787 */ "FileSystemDirectoryReader" "\0"
  /*  3813 */ "FileSystemEntry" "\0"
  /*  3829 */ "FileSystemFileEntry" "\0"
  /*  3849 */ "FileSystemFileHandle" "\0"
  /*  3870 */ "FileSystemHandle" "\0"
  /*  3887 */ "FileSystemSyncAccessHandle" "\0"
  /*  3914 */ "FileSystemWritableFileStream" "\0"
  /*  3943 */ "Flex" "\0"
  /*  3948 */ "FlexItemValues" "\0"
  /*  3963 */ "FlexLineValues" "\0"
  /*  3978 */ "FluentBundle" "\0"
  /*  3991 */ "FluentBundleAsyncIterator" "\0"
  /*  4017 */ "FluentBundleIterator" "\0"
  /*  4038 */ "FluentPattern" "\0"
  /*  4052 */ "FluentResource" "\0"
  /*  4067 */ "FocusEvent" "\0"
  /*  4078 */ "FontFace" "\0"
  /*  4087 */ "FontFaceSet" "\0"
  /*  4099 */ "FontFaceSetIterator" "\0"
  /*  4119 */ "FontFaceSetLoadEvent" "\0"
  /*  4140 */ "FormData" "\0"
  /*  4149 */ "FormData Iterator" "\0"
  /*  4167 */ "FormDataEvent" "\0"
  /*  4181 */ "FragmentDirective" "\0"
  /*  4199 */ "FrameCrashedEvent" "\0"
  /*  4217 */ "FrameLoader" "\0"
  /*  4229 */ "GPU" "\0"
  /*  4233 */ "GPUAdapter" "\0"
  /*  4244 */ "GPUAdapterInfo" "\0"
  /*  4259 */ "GPUBindGroup" "\0"
  /*  4272 */ "GPUBindGroupLayout" "\0"
  /*  4291 */ "GPUBuffer" "\0"
  /*  4301 */ "GPUBufferUsage" "\0"
  /*  4316 */ "GPUCanvasContext" "\0"
  /*  4333 */ "GPUColorWrite" "\0"
  /*  4347 */ "GPUCommandBuffer" "\0"
  /*  4364 */ "GPUCommandEncoder" "\0"
  /*  4382 */ "GPUCompilationInfo" "\0"
  /*  4401 */ "GPUCompilationMessage" "\0"
  /*  4423 */ "GPUComputePassEncoder" "\0"
  /*  4445 */ "GPUComputePipeline" "\0"
  /*  4464 */ "GPUDevice" "\0"
  /*  4474 */ "GPUDeviceLostInfo" "\0"
  /*  4492 */ "GPUError" "\0"
  /*  4501 */ "GPUInternalError" "\0"
  /*  4518 */ "GPUMapMode" "\0"
  /*  4529 */ "GPUOutOfMemoryError" "\0"
  /*  4549 */ "GPUPipelineLayout" "\0"
  /*  4567 */ "GPUQuerySet" "\0"
  /*  4579 */ "GPUQueue" "\0"
  /*  4588 */ "GPURenderBundle" "\0"
  /*  4604 */ "GPURenderBundleEncoder" "\0"
  /*  4627 */ "GPURenderPassEncoder" "\0"
  /*  4648 */ "GPURenderPipeline" "\0"
  /*  4666 */ "GPUSampler" "\0"
  /*  4677 */ "GPUShaderModule" "\0"
  /*  4693 */ "GPUShaderStage" "\0"
  /*  4708 */ "GPUSupportedFeatures" "\0"
  /*  4729 */ "GPUSupportedLimits" "\0"
  /*  4748 */ "GPUTexture" "\0"
  /*  4759 */ "GPUTextureUsage" "\0"
  /*  4775 */ "GPUTextureView" "\0"
  /*  4790 */ "GPUUncapturedErrorEvent" "\0"
  /*  4814 */ "GPUValidationError" "\0"
  /*  4833 */ "GainNode" "\0"
  /*  4842 */ "Gamepad" "\0"
  /*  4850 */ "GamepadAxisMoveEvent" "\0"
  /*  4871 */ "GamepadButton" "\0"
  /*  4885 */ "GamepadButtonEvent" "\0"
  /*  4904 */ "GamepadEvent" "\0"
  /*  4917 */ "GamepadHapticActuator" "\0"
  /*  4939 */ "GamepadLightIndicator" "\0"
  /*  4961 */ "GamepadPose" "\0"
  /*  4973 */ "GamepadServiceTest" "\0"
  /*  4992 */ "GamepadTouch" "\0"
  /*  5005 */ "Geolocation" "\0"
  /*  5017 */ "GeolocationCoordinates" "\0"
  /*  5040 */ "GeolocationPosition" "\0"
  /*  5060 */ "GeolocationPositionError" "\0"
  /*  5085 */ "GetUserMediaRequest" "\0"
  /*  5105 */ "GleanBoolean" "\0"
  /*  5118 */ "GleanCategory" "\0"
  /*  5132 */ "GleanCounter" "\0"
  /*  5145 */ "GleanCustomDistribution" "\0"
  /*  5169 */ "GleanDatetime" "\0"
  /*  5183 */ "GleanDenominator" "\0"
  /*  5200 */ "GleanEvent" "\0"
  /*  5211 */ "GleanImpl" "\0"
  /*  5221 */ "GleanLabeled" "\0"
  /*  5234 */ "GleanMemoryDistribution" "\0"
  /*  5258 */ "GleanMetric" "\0"
  /*  5270 */ "GleanNumerator" "\0"
  /*  5285 */ "GleanObject" "\0"
  /*  5297 */ "GleanPingsImpl" "\0"
  /*  5312 */ "GleanQuantity" "\0"
  /*  5326 */ "GleanRate" "\0"
  /*  5336 */ "GleanString" "\0"
  /*  5348 */ "GleanStringList" "\0"
  /*  5364 */ "GleanText" "\0"
  /*  5374 */ "GleanTimespan" "\0"
  /*  5388 */ "GleanTimingDistribution" "\0"
  /*  5412 */ "GleanUrl" "\0"
  /*  5421 */ "GleanUuid" "\0"
  /*  5431 */ "Grid" "\0"
  /*  5436 */ "GridArea" "\0"
  /*  5445 */ "GridDimension" "\0"
  /*  5459 */ "GridLine" "\0"
  /*  5468 */ "GridLines" "\0"
  /*  5478 */ "GridTrack" "\0"
  /*  5488 */ "GridTracks" "\0"
  /*  5499 */ "HTMLAllCollection" "\0"
  /*  5517 */ "HTMLAnchorElement" "\0"
  /*  5535 */ "HTMLAreaElement" "\0"
  /*  5551 */ "HTMLAudioElement" "\0"
  /*  5568 */ "HTMLBRElement" "\0"
  /*  5582 */ "HTMLBaseElement" "\0"
  /*  5598 */ "HTMLBodyElement" "\0"
  /*  5614 */ "HTMLButtonElement" "\0"
  /*  5632 */ "HTMLCanvasElement" "\0"
  /*  5650 */ "HTMLCollection" "\0"
  /*  5665 */ "HTMLDListElement" "\0"
  /*  5682 */ "HTMLDataElement" "\0"
  /*  5698 */ "HTMLDataListElement" "\0"
  /*  5718 */ "HTMLDetailsElement" "\0"
  /*  5737 */ "HTMLDialogElement" "\0"
  /*  5755 */ "HTMLDirectoryElement" "\0"
  /*  5776 */ "HTMLDivElement" "\0"
  /*  5791 */ "HTMLDocument" "\0"
  /*  5804 */ "HTMLElement" "\0"
  /*  5816 */ "HTMLEmbedElement" "\0"
  /*  5833 */ "HTMLFieldSetElement" "\0"
  /*  5853 */ "HTMLFontElement" "\0"
  /*  5869 */ "HTMLFormControlsCollection" "\0"
  /*  5896 */ "HTMLFormElement" "\0"
  /*  5912 */ "HTMLFrameElement" "\0"
  /*  5929 */ "HTMLFrameSetElement" "\0"
  /*  5949 */ "HTMLHRElement" "\0"
  /*  5963 */ "HTMLHeadElement" "\0"
  /*  5979 */ "HTMLHeadingElement" "\0"
  /*  5998 */ "HTMLHtmlElement" "\0"
  /*  6014 */ "HTMLIFrameElement" "\0"
  /*  6032 */ "HTMLImageElement" "\0"
  /*  6049 */ "HTMLInputElement" "\0"
  /*  6066 */ "HTMLLIElement" "\0"
  /*  6080 */ "HTMLLabelElement" "\0"
  /*  6097 */ "HTMLLegendElement" "\0"
  /*  6115 */ "HTMLLinkElement" "\0"
  /*  6131 */ "HTMLMapElement" "\0"
  /*  6146 */ "HTMLMarqueeElement" "\0"
  /*  6165 */ "HTMLMediaElement" "\0"
  /*  6182 */ "HTMLMenuElement" "\0"
  /*  6198 */ "HTMLMetaElement" "\0"
  /*  6214 */ "HTMLMeterElement" "\0"
  /*  6231 */ "HTMLModElement" "\0"
  /*  6246 */ "HTMLOListElement" "\0"
  /*  6263 */ "HTMLObjectElement" "\0"
  /*  6281 */ "HTMLOptGroupElement" "\0"
  /*  6301 */ "HTMLOptionElement" "\0"
  /*  6319 */ "HTMLOptionsCollection" "\0"
  /*  6341 */ "HTMLOutputElement" "\0"
  /*  6359 */ "HTMLParagraphElement" "\0"
  /*  6380 */ "HTMLParamElement" "\0"
  /*  6397 */ "HTMLPictureElement" "\0"
  /*  6416 */ "HTMLPreElement" "\0"
  /*  6431 */ "HTMLProgressElement" "\0"
  /*  6451 */ "HTMLQuoteElement" "\0"
  /*  6468 */ "HTMLScriptElement" "\0"
  /*  6486 */ "HTMLSelectElement" "\0"
  /*  6504 */ "HTMLSlotElement" "\0"
  /*  6520 */ "HTMLSourceElement" "\0"
  /*  6538 */ "HTMLSpanElement" "\0"
  /*  6554 */ "HTMLStyleElement" "\0"
  /*  6571 */ "HTMLTableCaptionElement" "\0"
  /*  6595 */ "HTMLTableCellElement" "\0"
  /*  6616 */ "HTMLTableColElement" "\0"
  /*  6636 */ "HTMLTableElement" "\0"
  /*  6653 */ "HTMLTableRowElement" "\0"
  /*  6673 */ "HTMLTableSectionElement" "\0"
  /*  6697 */ "HTMLTemplateElement" "\0"
  /*  6717 */ "HTMLTextAreaElement" "\0"
  /*  6737 */ "HTMLTimeElement" "\0"
  /*  6753 */ "HTMLTitleElement" "\0"
  /*  6770 */ "HTMLTrackElement" "\0"
  /*  6787 */ "HTMLUListElement" "\0"
  /*  6804 */ "HTMLUnknownElement" "\0"
  /*  6823 */ "HTMLVideoElement" "\0"
  /*  6840 */ "HashChangeEvent" "\0"
  /*  6856 */ "Headers" "\0"
  /*  6864 */ "Headers Iterator" "\0"
  /*  6881 */ "HeapSnapshot" "\0"
  /*  6894 */ "Highlight" "\0"
  /*  6904 */ "HighlightRegistry" "\0"
  /*  6922 */ "History" "\0"
  /*  6930 */ "IDBCursor" "\0"
  /*  6940 */ "IDBCursorWithValue" "\0"
  /*  6959 */ "IDBDatabase" "\0"
  /*  6971 */ "IDBFactory" "\0"
  /*  6982 */ "IDBIndex" "\0"
  /*  6991 */ "IDBKeyRange" "\0"
  /*  7003 */ "IDBObjectStore" "\0"
  /*  7018 */ "IDBOpenDBRequest" "\0"
  /*  7035 */ "IDBRequest" "\0"
  /*  7046 */ "IDBTransaction" "\0"
  /*  7061 */ "IDBVersionChangeEvent" "\0"
  /*  7083 */ "IIRFilterNode" "\0"
  /*  7097 */ "IOUtils" "\0"
  /*  7105 */ "IdentityCredential" "\0"
  /*  7124 */ "IdleDeadline" "\0"
  /*  7137 */ "Image" "\0"
  /*  7143 */ "ImageBitmap" "\0"
  /*  7155 */ "ImageBitmapRenderingContext" "\0"
  /*  7183 */ "ImageCapture" "\0"
  /*  7196 */ "ImageCaptureError" "\0"
  /*  7214 */ "ImageCaptureErrorEvent" "\0"
  /*  7237 */ "ImageData" "\0"
  /*  7247 */ "ImageDocument" "\0"
  /*  7261 */ "InputEvent" "\0"
  /*  7272 */ "InspectorCSSParser" "\0"
  /*  7291 */ "InspectorFontFace" "\0"
  /*  7309 */ "InspectorUtils" "\0"
  /*  7324 */ "InstallTriggerImpl" "\0"
  /*  7343 */ "IntersectionObserver" "\0"
  /*  7364 */ "IntersectionObserverEntry" "\0"
  /*  7390 */ "IntlUtils" "\0"
  /*  7400 */ "InvokeEvent" "\0"
  /*  7412 */ "JSProcessActorChild" "\0"
  /*  7432 */ "JSProcessActorParent" "\0"
  /*  7453 */ "JSWindowActorChild" "\0"
  /*  7472 */ "JSWindowActorParent" "\0"
  /*  7492 */ "KeyEvent" "\0"
  /*  7501 */ "KeyboardEvent" "\0"
  /*  7515 */ "KeyframeEffect" "\0"
  /*  7530 */ "L10nFileSource" "\0"
  /*  7545 */ "L10nOverlays" "\0"
  /*  7558 */ "L10nRegistry" "\0"
  /*  7571 */ "LargestContentfulPaint" "\0"
  /*  7594 */ "LegacyMozTCPSocket" "\0"
  /*  7613 */ "Localization" "\0"
  /*  7626 */ "Location" "\0"
  /*  7635 */ "Lock" "\0"
  /*  7640 */ "LockManager" "\0"
  /*  7652 */ "MIDIAccess" "\0"
  /*  7663 */ "MIDIConnectionEvent" "\0"
  /*  7683 */ "MIDIInput" "\0"
  /*  7693 */ "MIDIInputMap" "\0"
  /*  7706 */ "MIDIMessageEvent" "\0"
  /*  7723 */ "MIDIOutput" "\0"
  /*  7734 */ "MIDIOutputMap" "\0"
  /*  7748 */ "MIDIPort" "\0"
  /*  7757 */ "MOZ_debug" "\0"
  /*  7767 */ "MatchGlob" "\0"
  /*  7777 */ "MatchPattern" "\0"
  /*  7790 */ "MatchPatternSet" "\0"
  /*  7806 */ "MathMLElement" "\0"
  /*  7820 */ "MediaCapabilities" "\0"
  /*  7838 */ "MediaControlService" "\0"
  /*  7858 */ "MediaController" "\0"
  /*  7874 */ "MediaDeviceInfo" "\0"
  /*  7890 */ "MediaDevices" "\0"
  /*  7903 */ "MediaElementAudioSourceNode" "\0"
  /*  7931 */ "MediaEncryptedEvent" "\0"
  /*  7951 */ "MediaError" "\0"
  /*  7962 */ "MediaKeyError" "\0"
  /*  7976 */ "MediaKeyMessageEvent" "\0"
  /*  7997 */ "MediaKeySession" "\0"
  /*  8013 */ "MediaKeyStatusMap" "\0"
  /*  8031 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8058 */ "MediaKeySystemAccess" "\0"
  /*  8079 */ "MediaKeys" "\0"
  /*  8089 */ "MediaList" "\0"
  /*  8099 */ "MediaMetadata" "\0"
  /*  8113 */ "MediaQueryList" "\0"
  /*  8128 */ "MediaQueryListEvent" "\0"
  /*  8148 */ "MediaRecorder" "\0"
  /*  8162 */ "MediaRecorderErrorEvent" "\0"
  /*  8186 */ "MediaSession" "\0"
  /*  8199 */ "MediaSource" "\0"
  /*  8211 */ "MediaStream" "\0"
  /*  8223 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8255 */ "MediaStreamAudioSourceNode" "\0"
  /*  8282 */ "MediaStreamError" "\0"
  /*  8299 */ "MediaStreamEvent" "\0"
  /*  8316 */ "MediaStreamTrack" "\0"
  /*  8333 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8365 */ "MediaStreamTrackEvent" "\0"
  /*  8387 */ "MerchantValidationEvent" "\0"
  /*  8411 */ "MessageBroadcaster" "\0"
  /*  8430 */ "MessageChannel" "\0"
  /*  8445 */ "MessageEvent" "\0"
  /*  8458 */ "MessageListenerManager" "\0"
  /*  8481 */ "MessagePort" "\0"
  /*  8493 */ "MessageSender" "\0"
  /*  8507 */ "MimeType" "\0"
  /*  8516 */ "MimeTypeArray" "\0"
  /*  8530 */ "MouseEvent" "\0"
  /*  8541 */ "MouseScrollEvent" "\0"
  /*  8558 */ "MozCanvasPrintState" "\0"
  /*  8578 */ "MozDocumentMatcher" "\0"
  /*  8597 */ "MozDocumentObserver" "\0"
  /*  8617 */ "MozQueryInterface" "\0"
  /*  8635 */ "MozSharedMap" "\0"
  /*  8648 */ "MozSharedMap Iterator" "\0"
  /*  8670 */ "MozSharedMapChangeEvent" "\0"
  /*  8694 */ "MozStorageAsyncStatementParams" "\0"
  /*  8725 */ "MozStorageStatementParams" "\0"
  /*  8751 */ "MozStorageStatementRow" "\0"
  /*  8774 */ "MozWritableSharedMap" "\0"
  /*  8795 */ "MutationEvent" "\0"
  /*  8809 */ "MutationObserver" "\0"
  /*  8826 */ "MutationRecord" "\0"
  /*  8841 */ "NamedNodeMap" "\0"
  /*  8854 */ "NavigationPreloadManager" "\0"
  /*  8879 */ "Navigator" "\0"
  /*  8889 */ "NetworkInformation" "\0"
  /*  8908 */ "Node" "\0"
  /*  8913 */ "NodeFilter" "\0"
  /*  8924 */ "NodeIterator" "\0"
  /*  8937 */ "NodeList" "\0"
  /*  8946 */ "Notification" "\0"
  /*  8959 */ "NotificationEvent" "\0"
  /*  8977 */ "NotifyPaintEvent" "\0"
  /*  8994 */ "OES_draw_buffers_indexed" "\0"
  /*  9019 */ "OES_element_index_uint" "\0"
  /*  9042 */ "OES_fbo_render_mipmap" "\0"
  /*  9064 */ "OES_standard_derivatives" "\0"
  /*  9089 */ "OES_texture_float" "\0"
  /*  9107 */ "OES_texture_float_linear" "\0"
  /*  9132 */ "OES_texture_half_float" "\0"
  /*  9155 */ "OES_texture_half_float_linear" "\0"
  /*  9185 */ "OES_vertex_array_object" "\0"
  /*  9209 */ "OVR_multiview2" "\0"
  /*  9224 */ "OfflineAudioCompletionEvent" "\0"
  /*  9252 */ "OfflineAudioContext" "\0"
  /*  9272 */ "OffscreenCanvas" "\0"
  /*  9288 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9322 */ "Option" "\0"
  /*  9329 */ "OscillatorNode" "\0"
  /*  9344 */ "PageTransitionEvent" "\0"
  /*  9364 */ "PaintRequest" "\0"
  /*  9377 */ "PaintRequestList" "\0"
  /*  9394 */ "PaintWorkletGlobalScope" "\0"
  /*  9418 */ "PannerNode" "\0"
  /*  9429 */ "ParentProcessMessageManager" "\0"
  /*  9457 */ "Path2D" "\0"
  /*  9464 */ "PathUtils" "\0"
  /*  9474 */ "PaymentAddress" "\0"
  /*  9489 */ "PaymentMethodChangeEvent" "\0"
  /*  9514 */ "PaymentRequest" "\0"
  /*  9529 */ "PaymentRequestUpdateEvent" "\0"
  /*  9555 */ "PaymentResponse" "\0"
  /*  9571 */ "PeerConnectionImpl" "\0"
  /*  9590 */ "PeerConnectionObserver" "\0"
  /*  9613 */ "Performance" "\0"
  /*  9625 */ "PerformanceEntry" "\0"
  /*  9642 */ "PerformanceEntryEvent" "\0"
  /*  9664 */ "PerformanceEventTiming" "\0"
  /*  9687 */ "PerformanceMark" "\0"
  /*  9703 */ "PerformanceMeasure" "\0"
  /*  9722 */ "PerformanceNavigation" "\0"
  /*  9744 */ "PerformanceNavigationTiming" "\0"
  /*  9772 */ "PerformanceObserver" "\0"
  /*  9792 */ "PerformanceObserverEntryList" "\0"
  /*  9821 */ "PerformancePaintTiming" "\0"
  /*  9844 */ "PerformanceResourceTiming" "\0"
  /*  9870 */ "PerformanceServerTiming" "\0"
  /*  9894 */ "PerformanceTiming" "\0"
  /*  9912 */ "PeriodicWave" "\0"
  /*  9925 */ "PermissionStatus" "\0"
  /*  9942 */ "Permissions" "\0"
  /*  9954 */ "PlacesBookmark" "\0"
  /*  9969 */ "PlacesBookmarkAddition" "\0"
  /*  9992 */ "PlacesBookmarkChanged" "\0"
  /* 10014 */ "PlacesBookmarkGuid" "\0"
  /* 10033 */ "PlacesBookmarkKeyword" "\0"
  /* 10055 */ "PlacesBookmarkMoved" "\0"
  /* 10075 */ "PlacesBookmarkRemoved" "\0"
  /* 10097 */ "PlacesBookmarkTags" "\0"
  /* 10116 */ "PlacesBookmarkTime" "\0"
  /* 10135 */ "PlacesBookmarkTitle" "\0"
  /* 10155 */ "PlacesBookmarkUrl" "\0"
  /* 10173 */ "PlacesEvent" "\0"
  /* 10185 */ "PlacesEventCounts" "\0"
  /* 10203 */ "PlacesFavicon" "\0"
  /* 10217 */ "PlacesHistoryCleared" "\0"
  /* 10238 */ "PlacesObservers" "\0"
  /* 10254 */ "PlacesPurgeCaches" "\0"
  /* 10272 */ "PlacesRanking" "\0"
  /* 10286 */ "PlacesVisit" "\0"
  /* 10298 */ "PlacesVisitRemoved" "\0"
  /* 10317 */ "PlacesVisitTitle" "\0"
  /* 10334 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10360 */ "Plugin" "\0"
  /* 10367 */ "PluginArray" "\0"
  /* 10379 */ "PluginCrashedEvent" "\0"
  /* 10398 */ "PointerEvent" "\0"
  /* 10411 */ "PopStateEvent" "\0"
  /* 10425 */ "PopupBlockedEvent" "\0"
  /* 10443 */ "PopupPositionedEvent" "\0"
  /* 10464 */ "PositionStateEvent" "\0"
  /* 10483 */ "PrecompiledScript" "\0"
  /* 10501 */ "PrivateAttribution" "\0"
  /* 10520 */ "ProcessMessageManager" "\0"
  /* 10542 */ "ProcessingInstruction" "\0"
  /* 10564 */ "ProgressEvent" "\0"
  /* 10578 */ "PromiseDebugging" "\0"
  /* 10595 */ "PromiseNativeHandler" "\0"
  /* 10616 */ "PromiseRejectionEvent" "\0"
  /* 10638 */ "PublicKeyCredential" "\0"
  /* 10658 */ "PushEvent" "\0"
  /* 10668 */ "PushManager" "\0"
  /* 10680 */ "PushManagerImpl" "\0"
  /* 10696 */ "PushMessageData" "\0"
  /* 10712 */ "PushSubscription" "\0"
  /* 10729 */ "PushSubscriptionOptions" "\0"
  /* 10753 */ "RTCCertificate" "\0"
  /* 10768 */ "RTCDTMFSender" "\0"
  /* 10782 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10805 */ "RTCDataChannel" "\0"
  /* 10820 */ "RTCDataChannelEvent" "\0"
  /* 10840 */ "RTCDtlsTransport" "\0"
  /* 10857 */ "RTCEncodedAudioFrame" "\0"
  /* 10878 */ "RTCEncodedVideoFrame" "\0"
  /* 10899 */ "RTCIceCandidate" "\0"
  /* 10915 */ "RTCIceTransport" "\0"
  /* 10931 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10960 */ "RTCPeerConnection" "\0"
  /* 10978 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11004 */ "RTCPeerConnectionStatic" "\0"
  /* 11028 */ "RTCRtpReceiver" "\0"
  /* 11043 */ "RTCRtpScriptTransform" "\0"
  /* 11065 */ "RTCRtpScriptTransformer" "\0"
  /* 11089 */ "RTCRtpSender" "\0"
  /* 11102 */ "RTCRtpTransceiver" "\0"
  /* 11120 */ "RTCSctpTransport" "\0"
  /* 11137 */ "RTCSessionDescription" "\0"
  /* 11159 */ "RTCStatsReport" "\0"
  /* 11174 */ "RTCTrackEvent" "\0"
  /* 11188 */ "RTCTransformEvent" "\0"
  /* 11206 */ "RadioNodeList" "\0"
  /* 11220 */ "Range" "\0"
  /* 11226 */ "ReadableByteStreamController" "\0"
  /* 11255 */ "ReadableStream" "\0"
  /* 11270 */ "ReadableStream AsyncIterator" "\0"
  /* 11299 */ "ReadableStreamBYOBReader" "\0"
  /* 11324 */ "ReadableStreamBYOBRequest" "\0"
  /* 11350 */ "ReadableStreamDefaultController" "\0"
  /* 11382 */ "ReadableStreamDefaultReader" "\0"
  /* 11410 */ "Report" "\0"
  /* 11417 */ "ReportBody" "\0"
  /* 11428 */ "ReportingObserver" "\0"
  /* 11446 */ "Request" "\0"
  /* 11454 */ "ResizeObserver" "\0"
  /* 11469 */ "ResizeObserverEntry" "\0"
  /* 11489 */ "ResizeObserverSize" "\0"
  /* 11508 */ "Response" "\0"
  /* 11517 */ "SVGAElement" "\0"
  /* 11529 */ "SVGAngle" "\0"
  /* 11538 */ "SVGAnimateElement" "\0"
  /* 11556 */ "SVGAnimateMotionElement" "\0"
  /* 11580 */ "SVGAnimateTransformElement" "\0"
  /* 11607 */ "SVGAnimatedAngle" "\0"
  /* 11624 */ "SVGAnimatedBoolean" "\0"
  /* 11643 */ "SVGAnimatedEnumeration" "\0"
  /* 11666 */ "SVGAnimatedInteger" "\0"
  /* 11685 */ "SVGAnimatedLength" "\0"
  /* 11703 */ "SVGAnimatedLengthList" "\0"
  /* 11725 */ "SVGAnimatedNumber" "\0"
  /* 11743 */ "SVGAnimatedNumberList" "\0"
  /* 11765 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11796 */ "SVGAnimatedRect" "\0"
  /* 11812 */ "SVGAnimatedString" "\0"
  /* 11830 */ "SVGAnimatedTransformList" "\0"
  /* 11855 */ "SVGAnimationElement" "\0"
  /* 11875 */ "SVGCircleElement" "\0"
  /* 11892 */ "SVGClipPathElement" "\0"
  /* 11911 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11947 */ "SVGDefsElement" "\0"
  /* 11962 */ "SVGDescElement" "\0"
  /* 11977 */ "SVGElement" "\0"
  /* 11988 */ "SVGEllipseElement" "\0"
  /* 12006 */ "SVGFEBlendElement" "\0"
  /* 12024 */ "SVGFEColorMatrixElement" "\0"
  /* 12048 */ "SVGFEComponentTransferElement" "\0"
  /* 12078 */ "SVGFECompositeElement" "\0"
  /* 12100 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12127 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12155 */ "SVGFEDisplacementMapElement" "\0"
  /* 12183 */ "SVGFEDistantLightElement" "\0"
  /* 12208 */ "SVGFEDropShadowElement" "\0"
  /* 12231 */ "SVGFEFloodElement" "\0"
  /* 12249 */ "SVGFEFuncAElement" "\0"
  /* 12267 */ "SVGFEFuncBElement" "\0"
  /* 12285 */ "SVGFEFuncGElement" "\0"
  /* 12303 */ "SVGFEFuncRElement" "\0"
  /* 12321 */ "SVGFEGaussianBlurElement" "\0"
  /* 12346 */ "SVGFEImageElement" "\0"
  /* 12364 */ "SVGFEMergeElement" "\0"
  /* 12382 */ "SVGFEMergeNodeElement" "\0"
  /* 12404 */ "SVGFEMorphologyElement" "\0"
  /* 12427 */ "SVGFEOffsetElement" "\0"
  /* 12446 */ "SVGFEPointLightElement" "\0"
  /* 12469 */ "SVGFESpecularLightingElement" "\0"
  /* 12498 */ "SVGFESpotLightElement" "\0"
  /* 12520 */ "SVGFETileElement" "\0"
  /* 12537 */ "SVGFETurbulenceElement" "\0"
  /* 12560 */ "SVGFilterElement" "\0"
  /* 12577 */ "SVGForeignObjectElement" "\0"
  /* 12601 */ "SVGGElement" "\0"
  /* 12613 */ "SVGGeometryElement" "\0"
  /* 12632 */ "SVGGradientElement" "\0"
  /* 12651 */ "SVGGraphicsElement" "\0"
  /* 12670 */ "SVGImageElement" "\0"
  /* 12686 */ "SVGLength" "\0"
  /* 12696 */ "SVGLengthList" "\0"
  /* 12710 */ "SVGLineElement" "\0"
  /* 12725 */ "SVGLinearGradientElement" "\0"
  /* 12750 */ "SVGMPathElement" "\0"
  /* 12766 */ "SVGMarkerElement" "\0"
  /* 12783 */ "SVGMaskElement" "\0"
  /* 12798 */ "SVGMatrix" "\0"
  /* 12808 */ "SVGMetadataElement" "\0"
  /* 12827 */ "SVGNumber" "\0"
  /* 12837 */ "SVGNumberList" "\0"
  /* 12851 */ "SVGPathElement" "\0"
  /* 12866 */ "SVGPatternElement" "\0"
  /* 12884 */ "SVGPoint" "\0"
  /* 12893 */ "SVGPointList" "\0"
  /* 12906 */ "SVGPolygonElement" "\0"
  /* 12924 */ "SVGPolylineElement" "\0"
  /* 12943 */ "SVGPreserveAspectRatio" "\0"
  /* 12966 */ "SVGRadialGradientElement" "\0"
  /* 12991 */ "SVGRect" "\0"
  /* 12999 */ "SVGRectElement" "\0"
  /* 13014 */ "SVGSVGElement" "\0"
  /* 13028 */ "SVGScriptElement" "\0"
  /* 13045 */ "SVGSetElement" "\0"
  /* 13059 */ "SVGStopElement" "\0"
  /* 13074 */ "SVGStringList" "\0"
  /* 13088 */ "SVGStyleElement" "\0"
  /* 13104 */ "SVGSwitchElement" "\0"
  /* 13121 */ "SVGSymbolElement" "\0"
  /* 13138 */ "SVGTSpanElement" "\0"
  /* 13154 */ "SVGTextContentElement" "\0"
  /* 13176 */ "SVGTextElement" "\0"
  /* 13191 */ "SVGTextPathElement" "\0"
  /* 13210 */ "SVGTextPositioningElement" "\0"
  /* 13236 */ "SVGTitleElement" "\0"
  /* 13252 */ "SVGTransform" "\0"
  /* 13265 */ "SVGTransformList" "\0"
  /* 13282 */ "SVGUnitTypes" "\0"
  /* 13295 */ "SVGUseElement" "\0"
  /* 13309 */ "SVGViewElement" "\0"
  /* 13324 */ "Sanitizer" "\0"
  /* 13334 */ "Scheduler" "\0"
  /* 13344 */ "Screen" "\0"
  /* 13351 */ "ScreenLuminance" "\0"
  /* 13367 */ "ScreenOrientation" "\0"
  /* 13385 */ "ScriptProcessorNode" "\0"
  /* 13405 */ "ScrollAreaEvent" "\0"
  /* 13421 */ "ScrollViewChangeEvent" "\0"
  /* 13443 */ "SecurityPolicyViolationEvent" "\0"
  /* 13472 */ "Selection" "\0"
  /* 13482 */ "ServiceWorker" "\0"
  /* 13496 */ "ServiceWorkerContainer" "\0"
  /* 13519 */ "ServiceWorkerGlobalScope" "\0"
  /* 13544 */ "ServiceWorkerRegistration" "\0"
  /* 13570 */ "SessionStoreFormData" "\0"
  /* 13591 */ "SessionStoreScrollData" "\0"
  /* 13614 */ "SessionStoreUtils" "\0"
  /* 13632 */ "ShadowRealmGlobalScope" "\0"
  /* 13655 */ "ShadowRoot" "\0"
  /* 13666 */ "SharedWorker" "\0"
  /* 13679 */ "SharedWorkerGlobalScope" "\0"
  /* 13703 */ "SimpleGestureEvent" "\0"
  /* 13722 */ "SourceBuffer" "\0"
  /* 13735 */ "SourceBufferList" "\0"
  /* 13752 */ "SpeechGrammar" "\0"
  /* 13766 */ "SpeechGrammarList" "\0"
  /* 13784 */ "SpeechRecognition" "\0"
  /* 13802 */ "SpeechRecognitionAlternative" "\0"
  /* 13831 */ "SpeechRecognitionError" "\0"
  /* 13854 */ "SpeechRecognitionEvent" "\0"
  /* 13877 */ "SpeechRecognitionResult" "\0"
  /* 13901 */ "SpeechRecognitionResultList" "\0"
  /* 13929 */ "SpeechSynthesis" "\0"
  /* 13945 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13971 */ "SpeechSynthesisEvent" "\0"
  /* 13992 */ "SpeechSynthesisUtterance" "\0"
  /* 14017 */ "SpeechSynthesisVoice" "\0"
  /* 14038 */ "StaticRange" "\0"
  /* 14050 */ "StereoPannerNode" "\0"
  /* 14067 */ "Storage" "\0"
  /* 14075 */ "StorageEvent" "\0"
  /* 14088 */ "StorageManager" "\0"
  /* 14103 */ "StreamFilter" "\0"
  /* 14116 */ "StreamFilterDataEvent" "\0"
  /* 14138 */ "StructuredCloneHolder" "\0"
  /* 14160 */ "StructuredCloneTester" "\0"
  /* 14182 */ "StyleSheet" "\0"
  /* 14193 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14230 */ "StyleSheetList" "\0"
  /* 14245 */ "StyleSheetRemovedEvent" "\0"
  /* 14268 */ "SubmitEvent" "\0"
  /* 14280 */ "SubtleCrypto" "\0"
  /* 14293 */ "SyncMessageSender" "\0"
  /* 14311 */ "SyncReadFile" "\0"
  /* 14324 */ "TCPServerSocket" "\0"
  /* 14340 */ "TCPServerSocketEvent" "\0"
  /* 14361 */ "TCPSocket" "\0"
  /* 14371 */ "TCPSocketErrorEvent" "\0"
  /* 14391 */ "TCPSocketEvent" "\0"
  /* 14406 */ "TaskController" "\0"
  /* 14421 */ "TaskPriorityChangeEvent" "\0"
  /* 14445 */ "TaskSignal" "\0"
  /* 14456 */ "TelemetryStopwatch" "\0"
  /* 14475 */ "TestUtils" "\0"
  /* 14485 */ "TestingDeprecatedInterface" "\0"
  /* 14512 */ "Text" "\0"
  /* 14517 */ "TextClause" "\0"
  /* 14528 */ "TextDecoder" "\0"
  /* 14540 */ "TextDecoderStream" "\0"
  /* 14558 */ "TextEncoder" "\0"
  /* 14570 */ "TextEncoderStream" "\0"
  /* 14588 */ "TextEvent" "\0"
  /* 14598 */ "TextMetrics" "\0"
  /* 14610 */ "TextTrack" "\0"
  /* 14620 */ "TextTrackCue" "\0"
  /* 14633 */ "TextTrackCueList" "\0"
  /* 14650 */ "TextTrackList" "\0"
  /* 14664 */ "TimeEvent" "\0"
  /* 14674 */ "TimeRanges" "\0"
  /* 14685 */ "ToggleEvent" "\0"
  /* 14697 */ "Touch" "\0"
  /* 14703 */ "TouchEvent" "\0"
  /* 14714 */ "TouchList" "\0"
  /* 14724 */ "TrackEvent" "\0"
  /* 14735 */ "TransformStream" "\0"
  /* 14751 */ "TransformStreamDefaultController" "\0"
  /* 14784 */ "TransitionEvent" "\0"
  /* 14800 */ "TreeColumn" "\0"
  /* 14811 */ "TreeColumns" "\0"
  /* 14823 */ "TreeContentView" "\0"
  /* 14839 */ "TreeWalker" "\0"
  /* 14850 */ "TrustedHTML" "\0"
  /* 14862 */ "TrustedScript" "\0"
  /* 14876 */ "TrustedScriptURL" "\0"
  /* 14893 */ "TrustedTypePolicy" "\0"
  /* 14911 */ "TrustedTypePolicyFactory" "\0"
  /* 14936 */ "UDPMessageEvent" "\0"
  /* 14952 */ "UDPSocket" "\0"
  /* 14962 */ "UIEvent" "\0"
  /* 14970 */ "URL" "\0"
  /* 14974 */ "URLSearchParams" "\0"
  /* 14990 */ "URLSearchParams Iterator" "\0"
  /* 15015 */ "UniFFIPointer" "\0"
  /* 15029 */ "UniFFIScaffolding" "\0"
  /* 15047 */ "UserActivation" "\0"
  /* 15062 */ "UserInteraction" "\0"
  /* 15078 */ "UserProximityEvent" "\0"
  /* 15097 */ "VRDisplay" "\0"
  /* 15107 */ "VRDisplayCapabilities" "\0"
  /* 15129 */ "VRDisplayEvent" "\0"
  /* 15144 */ "VREyeParameters" "\0"
  /* 15160 */ "VRFieldOfView" "\0"
  /* 15174 */ "VRFrameData" "\0"
  /* 15186 */ "VRMockController" "\0"
  /* 15203 */ "VRMockDisplay" "\0"
  /* 15217 */ "VRPose" "\0"
  /* 15224 */ "VRServiceTest" "\0"
  /* 15238 */ "VRStageParameters" "\0"
  /* 15256 */ "VTTCue" "\0"
  /* 15263 */ "VTTRegion" "\0"
  /* 15273 */ "ValidityState" "\0"
  /* 15287 */ "VideoColorSpace" "\0"
  /* 15303 */ "VideoDecoder" "\0"
  /* 15316 */ "VideoEncoder" "\0"
  /* 15329 */ "VideoFrame" "\0"
  /* 15340 */ "VideoPlaybackQuality" "\0"
  /* 15361 */ "VideoTrack" "\0"
  /* 15372 */ "VideoTrackList" "\0"
  /* 15387 */ "VisualViewport" "\0"
  /* 15402 */ "WEBGL_color_buffer_float" "\0"
  /* 15427 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15457 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15486 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15516 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15547 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15577 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15612 */ "WEBGL_debug_renderer_info" "\0"
  /* 15638 */ "WEBGL_debug_shaders" "\0"
  /* 15658 */ "WEBGL_depth_texture" "\0"
  /* 15678 */ "WEBGL_draw_buffers" "\0"
  /* 15697 */ "WEBGL_explicit_present" "\0"
  /* 15720 */ "WEBGL_lose_context" "\0"
  /* 15739 */ "WEBGL_provoking_vertex" "\0"
  /* 15762 */ "WakeLock" "\0"
  /* 15771 */ "WakeLockSentinel" "\0"
  /* 15788 */ "WaveShaperNode" "\0"
  /* 15803 */ "WebExtensionContentScript" "\0"
  /* 15829 */ "WebExtensionPolicy" "\0"
  /* 15848 */ "WebGL2RenderingContext" "\0"
  /* 15871 */ "WebGLActiveInfo" "\0"
  /* 15887 */ "WebGLBuffer" "\0"
  /* 15899 */ "WebGLContextEvent" "\0"
  /* 15917 */ "WebGLFramebuffer" "\0"
  /* 15934 */ "WebGLProgram" "\0"
  /* 15947 */ "WebGLQuery" "\0"
  /* 15958 */ "WebGLRenderbuffer" "\0"
  /* 15976 */ "WebGLRenderingContext" "\0"
  /* 15998 */ "WebGLSampler" "\0"
  /* 16011 */ "WebGLShader" "\0"
  /* 16023 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16050 */ "WebGLSync" "\0"
  /* 16060 */ "WebGLTexture" "\0"
  /* 16073 */ "WebGLTransformFeedback" "\0"
  /* 16096 */ "WebGLUniformLocation" "\0"
  /* 16117 */ "WebGLVertexArrayObject" "\0"
  /* 16140 */ "WebKitCSSMatrix" "\0"
  /* 16156 */ "WebSocket" "\0"
  /* 16166 */ "WebTransport" "\0"
  /* 16179 */ "WebTransportBidirectionalStream" "\0"
  /* 16211 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16244 */ "WebTransportError" "\0"
  /* 16262 */ "WebTransportReceiveStream" "\0"
  /* 16288 */ "WebTransportSendStream" "\0"
  /* 16311 */ "WebrtcGlobalInformation" "\0"
  /* 16335 */ "WheelEvent" "\0"
  /* 16346 */ "Window" "\0"
  /* 16353 */ "WindowClient" "\0"
  /* 16366 */ "WindowContext" "\0"
  /* 16380 */ "WindowGlobalChild" "\0"
  /* 16398 */ "WindowGlobalParent" "\0"
  /* 16417 */ "WindowRoot" "\0"
  /* 16428 */ "Worker" "\0"
  /* 16435 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16461 */ "WorkerGlobalScope" "\0"
  /* 16479 */ "WorkerLocation" "\0"
  /* 16494 */ "WorkerNavigator" "\0"
  /* 16510 */ "WorkerTestUtils" "\0"
  /* 16526 */ "Worklet" "\0"
  /* 16534 */ "WorkletGlobalScope" "\0"
  /* 16553 */ "WritableStream" "\0"
  /* 16568 */ "WritableStreamDefaultController" "\0"
  /* 16600 */ "WritableStreamDefaultWriter" "\0"
  /* 16628 */ "XMLDocument" "\0"
  /* 16640 */ "XMLHttpRequest" "\0"
  /* 16655 */ "XMLHttpRequestEventTarget" "\0"
  /* 16681 */ "XMLHttpRequestUpload" "\0"
  /* 16702 */ "XMLSerializer" "\0"
  /* 16716 */ "XPathEvaluator" "\0"
  /* 16731 */ "XPathExpression" "\0"
  /* 16747 */ "XPathResult" "\0"
  /* 16759 */ "XRBoundedReferenceSpace" "\0"
  /* 16783 */ "XRFrame" "\0"
  /* 16791 */ "XRInputSource" "\0"
  /* 16805 */ "XRInputSourceArray" "\0"
  /* 16824 */ "XRInputSourceEvent" "\0"
  /* 16843 */ "XRInputSourcesChangeEvent" "\0"
  /* 16869 */ "XRPose" "\0"
  /* 16876 */ "XRReferenceSpace" "\0"
  /* 16893 */ "XRReferenceSpaceEvent" "\0"
  /* 16915 */ "XRRenderState" "\0"
  /* 16929 */ "XRRigidTransform" "\0"
  /* 16946 */ "XRSession" "\0"
  /* 16956 */ "XRSessionEvent" "\0"
  /* 16971 */ "XRSpace" "\0"
  /* 16979 */ "XRSystem" "\0"
  /* 16988 */ "XRView" "\0"
  /* 16995 */ "XRViewerPose" "\0"
  /* 17008 */ "XRViewport" "\0"
  /* 17019 */ "XRWebGLLayer" "\0"
  /* 17032 */ "XSLTProcessor" "\0"
  /* 17046 */ "XULCommandEvent" "\0"
  /* 17062 */ "XULElement" "\0"
  /* 17073 */ "XULFrameElement" "\0"
  /* 17089 */ "XULMenuElement" "\0"
  /* 17104 */ "XULPopupElement" "\0"
  /* 17120 */ "XULResizerElement" "\0"
  /* 17138 */ "XULTextElement" "\0"
  /* 17153 */ "XULTreeElement" "\0"
  /* 17168 */ "console" "\0"
  /* 17176 */ "webkitSpeechGrammar" "\0"
  /* 17196 */ "webkitSpeechGrammarList" "\0"
  /* 17220 */ "webkitSpeechRecognition" "\0"
  /* 17244 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

